# -*- coding: utf-8; indent-tabs-mode: t; tab-width: 4 -*-

## Copyright 2001-2003, Danger, Inc.  All Rights Reserved.
## This file is subject to the Danger, Inc. Sample Code License,
## which is provided in the file SAMPLE_CODE_LICENSE.
## Copies are also available from http://developer.danger.com/

package "com.danger.terminal"

interface "{source}com/danger/terminal/TerminalResources.java"
events "{source}com/danger/terminal/TerminalEvents.java"

string ID_APP_NAME			"Client terminal"
string ID_APP_SHORT_NAME	"Terminal"
string ID_APP_CLASS			"com.danger.terminal.Terminal"

bitmap ID_SMALL_ICON		"{base}ID_SmallIcon.png"
bitmap ID_LARGE_ICON		"{base}ID_LargeIcon.png"
bitmap ID_SPLASH_SCREEN		"{base}ID_SplashScreen.png"
@ IF {os_version} = {3.0, 3.1}
bitmap ID_SPLASH_SCREEN_NO_TITLE    "{base}ID_SplashScreenTransparent.png"
@ ELSE
bitmap ID_SPLASH_SCREEN_NO_TITLE    "{base}ID_SplashScreenNoTitle.png"
@ ENDIF
bitmap ID_ABOUT_SPLASH		"{base}ID_AboutSplash.png"

# Define the application category for the app (3.0+ only)
@ IF {os_version} = {3.0, 3.1}
string ID_CHOOSER_CATEGORY "apps"
@ ELSE
string -1015 "apps"
@ ENDIF

# easter egg
bitmap ID_BASTILLE_ICON		"{base}ID_MonkeyBastille.png"
bitmap ID_IND_ICON			"{base}ID_MonkeyInd.png"
bitmap ID_CANADA_ICON		"{base}ID_MonkeyCanada.png"
bitmap ID_AUS_ICON			"{base}ID_MonkeyAus.png"
bitmap ID_DEUTSCH_ICON		"{base}ID_MonkeyDeutsch.png"
bitmap ID_CINCO_ICON		"{base}ID_MonkeyCinco.png"
bitmap ID_ENGLAND_ICON		"{base}ID_MonkeyEng.png"
bitmap ID_SCOTLAND_ICON		"{base}ID_MonkeyEco.png"
bitmap ID_WALES_ICON		"{base}ID_MonkeyWales.png"
bitmap ID_NIRELAND_ICON		"{base}ID_MonkeyPat.png"
bitmap ID_AUSTRIA_ICON		"{base}ID_MonkeyAustria.png"
bitmap ID_PIRATE_ICON		"{base}ID_MonkeyPirate.png"
bitmap ID_CONNECTED_ICON	"{base}ID_MonkeyConnected.png"
bitmap ID_DISCONNECTED_ICON	"{base}ID_MonkeyDisconnected.png"

string ID_LOCALE			"fr_FR"


string DEFAULT_FONT							"Fixed5x7"
string STRING_TITLE							"Cli" +
		"ent terminal"

# if the user tries to create a new session with an invalid hostname,
# a dialog with this text pops up.
string STRING_INVALID_HOSTNAME				"Nom d'hôte non " +
		"valide."

# supported protocols
string PROTOCOL_SSH2						"SSH2"
string PROTOCOL_TELNET						"Telnet"
string PROTOCOL_RAW							"Raw"

# action menu in an active/inactive console
string STRING_CLOSE_FORMAT					"Fermer ^0"
string STRING_SESSION_LIST					"Liste de " +
		"sessions"
string STRING_PREFERENCES_MENU				"Paramètres de " +
		"l'hôte…"
string STRING_FONT_MENU						"Police"
string STRING_COPY							"Cop" +
		"ier"
string STRING_PASTE							"Col" +
		"ler"
string STRING_CLEAR_SCREEN					"Effacer " +
		"écran"
string STRING_RECONNECT						"Reconnecter" +
		""
string STRING_HELP							"Ast" +
		"uces clavier…"

# while connecting (displayed in terminal window)
string STRING_TRYING						"Essai " +
		"^0...\r\n"
string STRING_CONNECTED_TO					"Connecté à " +
		"^0.\r\n"
string STRING_CONNECTION_FAILED				"Echec de la " +
		"connexion.\r\n"
string STRING_CONNECTION_CLOSED				"Connexion fermée.\r" +
		"\n"

# ssh informational messages (displayed in terminal window)
string STRING_BAD_BANNER					"Bannière " +
		"SSH indéchiffrable."
string STRING_INCOMPATIBLE_SSH				"SSH incompatible " +
		"(non v2)."
string STRING_COMPUTING_E					"Computation" +
		" de e (5-10 secondes) ..."
string STRING_COMPUTING_K					"Computation" +
		" de K (5-10 secondes de plus) ..."
string STRING_VERIFYING_DSS					"Vérificatio" +
		"n de la signature DSS..."
string STRING_VERIFYING_RSA					"Vérificatio" +
		"n de la signature RSA..."
string STRING_NEGOTIATING_ENCRYPTION		"Négociation du cryptage..."
string STRING_BLOWFISH_ON					"Cryptage " +
		"Blowfish activé."
string STRING_CORRUPTED_HOST_KEY			"Clé hôte " +
		"corrompue."
string STRING_CORRUPTED_SIG					"Signature " +
		"hôte corrompue."
string STRING_HOST_KEY_REJECTED				"Déconnecté (clé " +
		"hôte rejetée)."
string STRING_INCOMPLETE_KEX				"Echange de clé " +
		"interrompu."
string STRING_KEX_COMPLETE					"Echange de " +
		"clé terminé."
string STRING_AUTH_FAILED					"Echec de " +
		"l'authentification."
string STRING_AUTHENTICATED					"Authentifié" +
		"."
string STRING_POORLY_BLOCKED				"Paquet bloqué " +
		"(^0)."
string STRING_IMPROBABLE_PACKET				"Taille de paquet " +
		"large improbable."
string STRING_CORRUPTED_HMAC				"Paquet HMAC " +
		"corrompu"

# ssh channel failure reasons
string STRING_CHAN_PROHIBITED				"Interdit par " +
		"l'administrateur"
string STRING_CHAN_CONNECT_FAILED			"Echec de la " +
		"connexion"
string STRING_CHAN_UNKNOWN_TYPE				"Type de réseau " +
		"inconnu"
string STRING_CHAN_RESOURCE_SHORTAGE		"Manque de ressources"


dialog ID_LOGIN_DIALOG
	title = "Client terminal"
	leftBorder = 3
	rightBorder = 3
	width = 200
	showCancel

	staticText
		id = ID_LOGIN_DIALOG_HEADING
		text = "Connexion sécurisée à ^0"
		top = 3
		left = 5
		width = 185

	staticText
		id = ID_LOGIN_USERNAME_TEXT
		text = "Connexion"
		font = boldSysFont
		justifyRight
		positionBelow = ID_LOGIN_DIALOG_HEADING : 6
		left = 3
		width = 55
		height = 17

	textField
		id = ID_LOGIN_USERNAME
		justifyLeft
		positionBelow = ID_LOGIN_DIALOG_HEADING : 3
		positionToRight = ID_LOGIN_USERNAME_TEXT : 5
		width = 120
		matchHeight = ID_LOGIN_USERNAME_TEXT
		maxLength = 20
		initialFocus

	staticText
		id = ID_LOGIN_PASSWORD_TEXT
		text = "Mot de passe"
		font = boldSysFont
		justifyRight
		positionBelow = ID_LOGIN_USERNAME_TEXT : 3
		left = 3
		matchWidth = ID_LOGIN_USERNAME_TEXT
		matchHeight = ID_LOGIN_USERNAME_TEXT

	textField
		id = ID_LOGIN_PASSWORD
		justifyLeft
		positionBelow = ID_LOGIN_USERNAME : 3
		positionToRight = ID_LOGIN_PASSWORD_TEXT : 5
		matchWidth = ID_LOGIN_USERNAME
		matchHeight = ID_LOGIN_USERNAME
		maxLength = 20
		passwordField
		
	button
		id = ID_LOGIN_OK
		title = okButton
		position = buttonBottom1
		event = EVENT_AUTHENTICATE
endDialog

string STRING_DISCONNECTED_NO_AUTH			"Déconnecté (aucune " +
		"auth.)"
string STRING_RETRY_LOGIN					"Nouvel " +
		"essai de connexion à ^0"
event EVENT_DONT_AUTHENTICATE


dialog ID_HOST_KEY_DIALOG
	className = "com.danger.terminal.HostKeyDialog"
	title = "^0"
	leftBorder = 3
	rightBorder = 3
	width = 200
	height = 75
	showCancel

	image
		id = ID_HOST_KEY_IMAGE
		top = 5
		left = 3
		width = 32
		height = 32

	staticTextBox
		id = ID_HOST_KEY_TEXT
		top = 3
		width = 140
		positionToRight = ID_HOST_KEY_IMAGE : 10
		doesNotHaveBorder
		text = "Empreinte clé hôte (^0) :\n^1"

	button
		title = okButton
		position = buttonBottom1
		event = EVENT_DISMISS_HOST_KEY
		initialFocus

	button
		id = ID_HOST_KEY_SAVE_BUTTON
		title = "Enregistrer"
		position = buttonBottom2
		event = EVENT_SAVE_HOST_KEY
endDialog

string STRING_ERASE							"Sup" +
		"primer"
event EVENT_ERASE_HOST_KEY


dialog ID_CHANGED_HOST_KEY_DIALOG
	className = "com.danger.terminal.HostKeyDialog"
	title = "^0 : clé hôte modifiée."

	leftBorder = 3
	rightBorder = 3
	width = 240
	height = 120
	showCancel

	image
		id = ID_HOST_KEY_IMAGE2
		top = 5
		left = 3
		width = 32
		height = 32

	staticText
		id = ID_HOST_KEY_WARNING
		top = 3
		width = 180
		positionToRight = ID_HOST_KEY_IMAGE2 : 10
		font = boldSysFont
		text = "AVERTISSEMENT :"

	staticTextBox
		id = ID_HOST_KEY_WARNING2
		positionBelow = ID_HOST_KEY_WARNING : 2
		matchWidth = ID_HOST_KEY_WARNING
		positionToRight = ID_HOST_KEY_IMAGE2 : 10
		doesNotHaveBorder
		text = "Cette clé hôte est différente de celle enregistrée."
		
	staticTextBox
		id = ID_HOST_KEY_TEXT2
		positionBelow = ID_HOST_KEY_WARNING2 : 6
		matchWidth = ID_HOST_KEY_WARNING
		positionToRight = ID_HOST_KEY_IMAGE2 : 10
		doesNotHaveBorder
		text = "Empreinte clé hôte (^0) :\n^1"

	button
		title = okButton
		position = buttonBottom1
		event = EVENT_DISMISS_HOST_KEY
		initialFocus

	button
		id = ID_HOST_KEY_SAVE_BUTTON2
		title = "Remplacer"
		position = buttonBottom2
		event = EVENT_SAVE_HOST_KEY
endDialog

event EVENT_REJECT_HOST_KEY


# Session List Screen

menu ID_SESSION_LIST_MENU
	menuItem
		title = "Nouvel hôte…"
		event = kNewHost
		id = kID_NewHostMenuItem

	menuItem
		title = "Paramètres de l'hôte…"
		event = kEditHost
		id = kID_EditHostMenuItem

	menuItem
		title = "Jeter hôte"
		event = kDeleteHost
		id = kID_DeleteHostMenuItem

	divider

	menuItem
		title = "Ouvrir session"
		event = kOpenHost
		id = kID_OpenHostMenuItem

	menuItem
		title = "Fermer session"
		event = kCloseSession
		id = kID_CloseSessionMenuItem

	divider

	menuItem
		title = "Aide"
		event = EVENT_HELP
endMenu

screen ID_SESSION_LIST_SCREEN
	title = "Client terminal"
	icon = ID_SMALL_ICON
	actionMenu = ID_SESSION_LIST_MENU
	className = "com.danger.terminal.SessionListWindow"

	view
		alignWithParentTop = 0
		alignWithParentLeft = 0
		heightPct = 100
		widthPct = 100
		className = "com.danger.terminal.SessionListView"
		id = ID_SESSION_LIST_VIEW
		initialFocus
		hasBorder
endScreen

dialog ID_HELP_DIALOG
    title = "Aide du Client Terminal"
	leftBorder = 5
	rightBorder = 5
	doneEvent = ID_DISMISS_HELP_DIALOG
	doneIsDefault

    staticTextBox
		id = ID_HELP_DIALOG1
		top = 0
		left = 0
		widthPct = 100
		doesNotHaveBorder
		text = "Pour obtenir de l'aide, contactez catalog_support@danger.com"
endDialog

dialog ID_KEYBOARD_HELP_DIALOG
	title = "Astuces clavier"
	doneEvent = ID_DISMISS_KEYBOARD_HELP_DIALOG
	width = 240

	scrollView
		id = ID_HELP_SCROLLER
		alignWithParentTop = 0
		alignWithParentLeft = 0
		width = 228
		height = 110
		initialFocus

		staticTextBox
			id = ID_HELP_TEXT1
			alignWithParentTop = 0
			alignWithParentLeft = 3
			fillToRight = 0
			doesNotHaveBorder
	    	text = "Le Client terminal a quelques raccourcis clavier personnalisés.  " +
		"\uF007 sert de touche de \"Control\" (\uF007 C = " +
		"control-C), et la molette sert de touche \"Meta\".  Les " +
		"touches manquantes sont émulées : "

		staticTextBox
			id = ID_HELP_TEXT2
			alignWithParentLeft = 15
			positionBelow = ID_HELP_TEXT1 : 8
			fillToRight = 0
			doesNotHaveBorder
			font = "Fixed6x10"
			text = "|         alt-W  ou  alt-shift-/\n`         alt-Q  ou  alt-shift-'" +
		"\nTAB       menu-I\nESC       menu-1  or  menu-9\n         " +
		"     (ou la molette)\nctrl-\\     menu-2\nctrl-]     " +
		"menu-0\nctrl-^     menu-6\nctrl-_     menu-.\nFlèches   " +
		"D-pad\nAccueil    alt-flèche gauche\nFin        alt-flèche " +
		"droite"

		staticTextBox
			id = ID_HELP_TEXT3
			alignWithParentLeft = 3
			positionBelow = ID_HELP_TEXT2 : 8
			fillToRight = 0
			doesNotHaveBorder
			text = "Utilisez la molette pour afficher le texte de défilement.\n\uF007 + " +
		"molette permet de faire défiler page par page.\n\uF003 + " +
		"molette permet de passer au début ou à la fin."

		staticTextBox
			id = ID_HELP_TEXT4
			alignWithParentLeft = 3
			positionBelow = ID_HELP_TEXT3 : 8
			fillToRight = 0
			doesNotHaveBorder
			text = "De plus, \uF007 \uF00B et \uF007 \uF00C permettent de basculer " +
		"entre les consoles ouvertes, et \uF007 \uF002 permet de " +
		"réinitialiser le terminal et d'effacer l'écran."

		staticText
			id = ID_HELP_TEXT5
			alignWithParentLeft = 3
			positionBelow = ID_HELP_TEXT4 : 8
			text = "Mode Copier"
			font = boldSysFont

		staticTextBox
			alignWithParentLeft = 3
			positionBelow = ID_HELP_TEXT5 : 8
			fillToRight = 0
			doesNotHaveBorder
			text = "Le mode Copier se comporte comme le mode copier dans « écran » : " +
		"utilisez D-pad pour trouver le début de la sélection et " +
		"appuyez sur le bouton de la molette (ou barre d'espace) " +
		"pour la marquer. Ensuite, utilisez de nouveau D-pad et le " +
		"bouton de la molette pour trouver et marquer la fin. La " +
		"zone sélectionnée est copiée dans le presse-papiers du " +
		"système."
	endScrollView
endDialog

dialog ID_ABOUT_DIALOG
	title = "A propos de Client terminal "
	doneEvent = EVENT_DISMISS_ABOUT
	leftBorder = 5
	rightBorder = 5
	doneIsDefault

	staticTextBox
		id = ID_ABOUT_TEXT1
		top = 0
		left = 0
		widthPct = 100
		doesNotHaveBorder
		text = "^0, de vos amis de Danger."

    image bitmap = ID_ABOUT_SPLASH
		positionBelow = ID_ABOUT_TEXT1 : 3
		centerHorizontally
endDialog


menu ID_PROTOCOL_MENU
	menuItem
		title = "SSH2"
		id = ID_PROTOCOL_SSH2

	menuItem
		title = "Telnet"
		id = ID_PROTOCOL_TELNET

	menuItem
		title = "Raw"
		id = ID_PROTOCOL_RAW
endMenu

dialog ID_CONNECT_DIALOG
	className = "com.danger.terminal.ConnectDialog"
	title = "Connexion ouverte"
	leftBorder = 3
	rightBorder = 3
	center
	showCancel

	staticText
		id = ID_CONNECT_NAME_TEXT
		text = "Nom"
		font = boldSysFont
		justifyRight
		top = 6
		left = 3
		width = 50
		height = 15

	textField
		id = ID_CONNECT_NAME
		justifyLeft
		top = 3
		width = 120
		maxLength = 60
		matchHeight = ID_CONNECT_NAME_TEXT
		positionToRight = ID_CONNECT_NAME_TEXT : 5

	staticText
		id = ID_CONNECT_HOST_TEXT
		text = "Hôte"
		font = boldSysFont
		justifyRight
		positionBelow = ID_CONNECT_NAME_TEXT : 5
		matchWidth = ID_CONNECT_NAME_TEXT
		matchHeight = ID_CONNECT_NAME_TEXT

	textField
		className = "com.danger.terminal.ConnectDialog$HostTextField"
		id = ID_CONNECT_HOST
		justifyLeft
		width = 120
		maxLength = 60
		matchHeight = ID_CONNECT_NAME
		positionBelow = ID_CONNECT_NAME : 3
		positionToRight = ID_CONNECT_HOST_TEXT : 5
		initialFocus

	staticText
		id = ID_CONNECT_PROTOCOL_TEXT
		text = "Protocole"
		font = boldSysFont
		justifyRight
		positionBelow = ID_CONNECT_HOST_TEXT : 5
		matchWidth = ID_CONNECT_HOST_TEXT
		matchHeight = ID_CONNECT_HOST_TEXT

	popupMenu
		id = ID_CONNECT_PROTOCOL
		menu = ID_PROTOCOL_MENU
		width = 60
		matchHeight = ID_CONNECT_HOST
		positionBelow = ID_CONNECT_HOST : 3
		positionToRight = ID_CONNECT_PROTOCOL_TEXT : 5

	button
		title = "Enregistrer"
		id = ID_CONNECT_BUTTON_SAVE
		position = buttonBottom1
		event = EVENT_SAVE

	button
		title = "Connecter"
		id = ID_CONNECT_BUTTON
		position = buttonBottom2
		event = EVENT_CONNECT
endDialog

# alternate title for button
string STRING_CONNECT "Connecter"


menu ID_FONT_MENU
	menuItem	title = "Tom Thumb"
	menuItem	title = "Twiggy"
	menuItem	title = "Goldilocks"
	menuItem	title = "Franklin"
@ IF {os_version} = {1.1}
@ ELSE
	menuItem	title = "Knob 6"
	menuItem	title = "Knob 9"
	menuItem	title = "Knob 12"
@ ENDIF
endMenu

# equivalent fonts for the human names above
stringArray FONT_NAMES
	"Fixed4x6"
	"Fixed4x8"
	"Fixed5x7"
	"Fixed6x10"
@ IF {os_version} = {1.1}
@ ELSE
	"Knob6"
	"Knob9"
	"Knob12"
@ ENDIF
endStringArray

menu ID_CONSOLE_MENU
	menuItem
		title = "Liste de sessions"
		id = ID_CONSOLE_SESSION_LIST
		event = EVENT_SESSION_LIST
		shortcut = backButton

	menuItem
		title = "Fermer ^0"
		id = ID_CONSOLE_CLOSE
		event = EVENT_CLOSE

	divider

	# these are for open settings

	menuItem
		title = "Paramètres de l'hôte…"
		id = ID_CONSOLE_SETTINGS
		event = EVENT_SETTINGS

	menuItem
		title = "Police"
		id = ID_CONSOLE_FONT_MENU
		event = EVENT_FONT
		subMenu = ID_FONT_MENU

	menuItem
		title = "Mode d'entrée de ligne"
		id = ID_CONSOLE_LINE_ENTRY
		event = EVENT_LINE_ENTRY_MODE
		shortcut = returnKey

	menuItem
		title = "Copier"
		id = ID_CONSOLE_COPY
		event = EVENT_COPY

	menuItem
		title = "Coller"
		id = ID_CONSOLE_PASTE
		event = EVENT_PASTE

	# these are for closed sessions

	menuItem
		title = "Reconnecter"
		id = ID_CONSOLE_RECONNECT
		event = EVENT_RECONNECT

	menuItem
		title = "Effacer écran"
		id = ID_CONSOLE_CLEAR
		event = EVENT_CLEAR_SCREEN

	# always here

	menuItem
		title = "Astuces clavier…"
		id = ID_CONSOLE_HINTS
		event = EVENT_HINTS
endMenu

event EVENT_LINE_ENTRY


menu ID_SETTINGS_MENU
	menuItem	title = "Terminé"			shortcut = backButton		event = EVENT_SETTINGS_DONE
@ IF {os_version} = {1.1,1.3}
	menuItem	title = "Annuler"		shortcut = '.'				event = EVENT_SETTINGS_CANCEL
@ ELSE
	menuItem	title = "Annuler"		shortcut = cancelButton				event = EVENT_SETTINGS_CANCEL
@ ENDIF
endMenu

menu ID_EMULATOR_MENU
	menuItem	title = "VT100"			id = ID_EMULATE_VT100
	menuItem	title = "ANSI"			id = ID_EMULATE_ANSI
	menuItem	title = "XTerm"			id = ID_EMULATE_XTERM
	menuItem	title = "Linux"			id = ID_EMULATE_LINUX
endMenu

menu ID_CODEC_MENU
	menuItem	title = "Latin-1"		id = ID_CODEC_LATIN1
	menuItem	title = "Latin-9"		id = ID_CODEC_LATIN9
	menuItem	title = "UTF-8"			id = ID_CODEC_UTF8
endMenu


# this is the width of the left column of the Settings page.
# it will need to be adjusted for each locale!
# (this situation will improve in M1 when we have a grid layout.)
constant private SETTINGS_COLUMN_WIDTH 50

screen ID_SETTINGS_SCREEN
	title = "Paramètres : ^0"
	className = "com.danger.terminal.SettingsScreen"
	actionMenu = ID_SETTINGS_MENU

	scrollView
		id = ID_SETTINGS_SCROLLER
		alignWithParentTop = 0
		alignWithParentLeft = 0
		widthPct = 100
		heightPct = 100

	staticText
		id = ID_SETTINGS_HEADER
		text = "Paramètres du Terminal"
		font = boldSysFont
		textColor = 0x006600
		top = 3
		left = 5

	# first, the usual edit-host stuff

	staticText
		id = ID_SETTINGS_NAME_TEXT
		text = "Nom"
		font = boldSysFont
		justifyRight
		positionBelow = ID_SETTINGS_HEADER : 8
		left = 5
		width = SETTINGS_COLUMN_WIDTH
		height = 15

	textField
		id = ID_SETTINGS_NAME
		className = "com.danger.terminal.SettingsScreen$SessionTextField"
		justifyLeft
		positionBelow = ID_SETTINGS_HEADER : 5
		width = 120
		maxLength = 60
		matchHeight = ID_SETTINGS_NAME_TEXT
		positionToRight = ID_SETTINGS_NAME_TEXT : 5
		initialFocus

	staticText
		id = ID_SETTINGS_HOST_TEXT
		text = "Hôte"
		font = boldSysFont
		justifyRight
		positionBelow = ID_SETTINGS_NAME_TEXT : 5
		matchWidth = ID_SETTINGS_NAME_TEXT
		matchHeight = ID_SETTINGS_NAME_TEXT

	textField
		className = "com.danger.terminal.SettingsScreen$HostTextField"
		id = ID_SETTINGS_HOST
		justifyLeft
		width = 120
		maxLength = 60
		matchHeight = ID_SETTINGS_NAME
		positionBelow = ID_SETTINGS_NAME : 3
		positionToRight = ID_SETTINGS_HOST_TEXT : 5

	staticText
		id = ID_SETTINGS_USERNAME_TEXT
		text = "Nom d'utilisateur"
		font = boldSysFont
		justifyRight
		positionBelow = ID_SETTINGS_HOST_TEXT : 5
		matchWidth = ID_SETTINGS_NAME_TEXT
		matchHeight = ID_SETTINGS_NAME_TEXT

	textField
		className = "com.danger.terminal.SettingsScreen$HostTextField"
		id = ID_SETTINGS_USERNAME
		justifyLeft
		width = 90
		maxLength = 20
		matchHeight = ID_SETTINGS_NAME
		positionBelow = ID_SETTINGS_HOST : 3
		positionToRight = ID_SETTINGS_USERNAME_TEXT : 5

	staticText
		id = ID_SETTINGS_PROTOCOL_TEXT
		text = "Protocole"
		font = boldSysFont
		justifyRight
		positionBelow = ID_SETTINGS_USERNAME_TEXT : 5
		matchWidth = ID_SETTINGS_NAME_TEXT
		matchHeight = ID_SETTINGS_NAME_TEXT

	popupMenu
		id = ID_SETTINGS_PROTOCOL
		menu = ID_PROTOCOL_MENU
		event = EVENT_PROTOCOL_MENU
		width = 60
		matchHeight = ID_SETTINGS_NAME
		positionBelow = ID_SETTINGS_USERNAME : 3
		positionToRight = ID_SETTINGS_PROTOCOL_TEXT : 5

	# font selection
	staticText
		id = ID_SETTINGS_FONT_TEXT
		text = "Police"
		font = boldSysFont
		justifyRight
		positionBelow = ID_SETTINGS_PROTOCOL_TEXT : 5
		matchWidth = ID_SETTINGS_NAME_TEXT
		matchHeight = ID_SETTINGS_NAME_TEXT

	popupMenu
		id = ID_SETTINGS_FONT
		menu = ID_FONT_MENU
		width = 100
		matchHeight = ID_SETTINGS_NAME
		positionBelow = ID_SETTINGS_PROTOCOL : 3
		positionToRight = ID_SETTINGS_FONT_TEXT : 5

	staticText
		id = ID_SETTINGS_EMULATOR_TEXT
		text = "Simuler"
		font = boldSysFont
		justifyRight
		positionBelow = ID_SETTINGS_FONT_TEXT : 5
		matchWidth = ID_SETTINGS_NAME_TEXT
		matchHeight = ID_SETTINGS_NAME_TEXT

	popupMenu
		id = ID_SETTINGS_EMULATOR
		menu = ID_EMULATOR_MENU
		width = 100
		matchHeight = ID_SETTINGS_NAME
		positionBelow = ID_SETTINGS_FONT : 3
		positionToRight = ID_SETTINGS_EMULATOR_TEXT : 5

	# auto-wrap checkbox
	checkBox
		id = ID_SETTINGS_WRAP_CHECKBOX
		title = "Renvoi à la ligne auto."
		alignLeft = ID_SETTINGS_NAME
		positionBelow = ID_SETTINGS_EMULATOR_TEXT : 4
		matchHeight = ID_SETTINGS_NAME_TEXT
		fillToRight = 2

	# backspace checkbox
	checkBox
		id = ID_SETTINGS_BACKSPACE_CHECKBOX
		title = "Espacement arrière envoie DEL"
		alignLeft = ID_SETTINGS_NAME
		positionBelow = ID_SETTINGS_WRAP_CHECKBOX : 4
		matchHeight = ID_SETTINGS_NAME_TEXT
		fillToRight = 2

	# scrollback # lines
	textField
		id = ID_SETTINGS_SCROLLBACK
		justifyLeft
		width = 25
		maxLength = 3
		numericOnly
		matchHeight = ID_SETTINGS_NAME
		positionBelow = ID_SETTINGS_BACKSPACE_CHECKBOX : 5
		alignLeft = ID_SETTINGS_NAME

	staticTextBox
		id = ID_SETTINGS_SCROLLBACK_TEXT
		text = "Lignes de texte de défilement"
		font = boldSysFont
		justifyLeft
		fillToRight = 2
		doesNotHaveBorder
		positionBelow = ID_SETTINGS_BACKSPACE_CHECKBOX : 8
		positionToRight = ID_SETTINGS_SCROLLBACK : 5

	# character encoding (latin-1, etc)
	popupMenu
		id = ID_SETTINGS_CODEC
		menu = ID_CODEC_MENU
		width = 100
		matchHeight = ID_SETTINGS_NAME
		positionBelow = ID_SETTINGS_SCROLLBACK_TEXT : 5
		alignLeft = ID_SETTINGS_SCROLLBACK
		
	staticText
		id = ID_SETTINGS_CODEC_TEXT
		text = "Codage"
		font = boldSysFont
		justifyRight
		alignVertical = ID_SETTINGS_CODEC
		alignLeft = ID_SETTINGS_NAME_TEXT
		matchWidth = ID_SETTINGS_NAME_TEXT
		matchHeight = ID_SETTINGS_NAME_TEXT

	shape
		id = ID_SETTINGS_DIVIDER
		type = line
		lineType = horizontal
		left = 0
		positionBelow = ID_SETTINGS_CODEC : 10
		widthPct = 100
		height = 1
		frameColor = 0x006600

	##########   SSH OPTIONS   ##########

	staticText
		id = ID_SETTINGS_SSH_HEADER
		text = "Paramètres SSH"
		font = boldSysFont
		left = 5
		positionBelow = ID_SETTINGS_DIVIDER : 2
		textColor = 0x006600

	checkBox
		id = ID_SETTINGS_REMEMBER_PASSWORD
		title = "Mémoriser mot de passe"
		left = 20
		positionBelow = ID_SETTINGS_SSH_HEADER : 5
		matchHeight = ID_SETTINGS_NAME_TEXT

	checkBox
		id = ID_SETTINGS_PREFER_DSS
		title = "Préférer DSS à RSA"
		alignLeft = ID_SETTINGS_REMEMBER_PASSWORD
		positionBelow = ID_SETTINGS_REMEMBER_PASSWORD : 5
		matchHeight = ID_SETTINGS_NAME_TEXT

	button
		id = ID_SETTINGS_KEY_BUTTON
		title = "Afficher clé hôte…"
		event = EVENT_VIEW_HOST_KEY
		left = 23
		positionBelow = ID_SETTINGS_PREFER_DSS : 5

	staticText
		id = ID_SETTINGS_WINDOW_TEXT
		text = "Paquet taille fenêtre (octets)"
		font = boldSysFont
		alignLeft = ID_SETTINGS_KEY_BUTTON
		positionBelow = ID_SETTINGS_KEY_BUTTON : 7
		matchHeight = ID_SETTINGS_NAME_TEXT

	textField
		id = ID_SETTINGS_WINDOW
		positionToRight = ID_SETTINGS_WINDOW_TEXT : 5
		positionBelow = ID_SETTINGS_KEY_BUTTON : 5
		width = 35
		matchHeight = ID_SETTINGS_NAME_TEXT
		maxLength = 5
		numericOnly

	container
		positionBelow = ID_SETTINGS_WINDOW_TEXT : 0
		left = 0
		width = 10
		height = 4
		disabled
	endContainer

	endScrollView

endScreen

@ IF {os_version} = {1.1}
@ ELSE
splashScreen ID_SPLASH_SCREEN_RESOURCE

	image
		bitmap = ID_SPLASH_SCREEN_NO_TITLE
		alignWithParentLeft = 0
		alignWithParentTop = 0
		id = ID_SPLASH_IMAGE

	staticTextBox
		text = ID_APP_SHORT_NAME
		alignWithParentLeft = 2
		alignWithParentTop = 0
		fillToRight = 2
		transparent
		doesNotHaveBorder
		id = ID_NAME_FIELD

endSplashScreen
@ ENDIF
